Docs Fal.ai /fal-ai/bytedance/seedream/v4/edit
API reference

/fal-ai/bytedance/seedream/v4/edit

Official documentation: https://fal.ai/models/fal-ai/bytedance/seedream/v4/edit

POST/fal-ai/bytedance/seedream/v4/edit

Body Parametersapplication/json

enable_safety_checker boolean

Enable security checks, default value: true

image_size object

Image size, width and height must be in the range: 1024-4096.

properties
height* integer

Height (pixels)

width* integer

Width (pixels)

image_urls* array

image url

items
string string
num_images integer

Number of generated pictures: 1-6

prompt* string

prompt word

Responses

200 application/json
response-200 object
400 Bad request or validation failed application/json
response-400 object
properties
error* object
401 Missing or invalid API Key application/json
response-401 object
Request Body Example
1{
2"enable_safety_checker": true,
3"image_size": {
4"height": 1280,
5"width": 1280
6},
7"image_urls": [
8"https://storage.googleapis.com/falserverless/example_inputs/seedream4_edit_input_1.png",
9"https://storage.googleapis.com/falserverless/example_inputs/seedream4_edit_input_2.png",
10"https://storage.googleapis.com/falserverless/example_inputs/seedream4_edit_input_3.png",
11"https://storage.googleapis.com/falserverless/example_inputs/seedream4_edit_input_4.png"
12],
13"num_images": 1,
14"prompt": "Dress the model in the clothes and shoes."
15}
Code Sample cURL
1curl -X POST "https://api.digislash.com/fal-ai/bytedance/seedream/v4/edit" \
2-H "Authorization: Bearer <API Key>" \
3-H "Content-Type: application/json" \
4-d '{
5"enable_safety_checker": true,
6"image_size": {
7"height": 1280,
8"width": 1280
9},
10"image_urls": [
11"https://storage.googleapis.com/falserverless/example_inputs/seedream4_edit_input_1.png",
12"https://storage.googleapis.com/falserverless/example_inputs/seedream4_edit_input_2.png",
13"https://storage.googleapis.com/falserverless/example_inputs/seedream4_edit_input_3.png",
14"https://storage.googleapis.com/falserverless/example_inputs/seedream4_edit_input_4.png"
15],
16"num_images": 1,
17"prompt": "Dress the model in the clothes and shoes."
18}'
Response
1▼{
2"cancel_url": "https://queue.fal.run/fal-ai/bytedance/requests/42a7eb80-8916-43ae-b27b-02e79f479977/cancel",
3"logs": [],
4"metrics": {},
5"queue_position": 0,
6"request_id": "42a7eb80-8916-43ae-b27b-02e79f479977",
7"response_url": "https://queue.fal.run/fal-ai/bytedance/requests/42a7eb80-8916-43ae-b27b-02e79f479977",
8"status": "IN_QUEUE",
9"status_url": "https://queue.fal.run/fal-ai/bytedance/requests/42a7eb80-8916-43ae-b27b-02e79f479977/status"
10}